Common (images Maven Webapp 1.3.0-3.1.0 API)
Date: 2014-05-11

org.gcube.application.aquamaps.images

## Class Common

- java.lang.Object
- - org.gcube.application.aquamaps.images.Common

-     public class Common
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `FETCH_ROUTINE_INTERVAL_MINUTES`
    `static String` | `HELP_FILE`
    `static String` | `IMAGE_JPEG`
    `static String` | `IMAGE_NOT_FOUND_FILE`
    `static String` | `NATIVE_2050_PROP`
    `static String` | `NATIVE_PROP`
    `static String` | `SCOPE_PROP`
    `static String` | `SUITABLE_2050_PROP`
    `static String` | `SUITABLE_PROP`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Common` | `get()`
    `org.gcube.application.aquamaps.aquamapsservice.client.proxies.Maps` | `getAMInterface()`
    `long` | `getCountByHspecId(Integer hspecId)`
    `InputStream` | `getHelpStream()`
    `InputStream` | `getImageNotFound()`
    `Long` | `getLastCompletedUpdate()`
    `Map<String,String>` | `getLastConfiguration()`
    `MapItem` | `getMap(Integer hspecId, String scientificName)`
    `com.j256.ormlite.dao.Dao<MapItem,Integer>` | `getMapDao()`
    `List<MapItem>` | `getMapsBySpecies(String scientificName)`
    `InputStream` | `getProduct(ProductType prod, Integer hspecId, String scientificName)`
    `String` | `getProperty(String property)`
    `long` | `getSpeciesCount()`
    `com.j256.ormlite.dao.Dao<SpeciesInfo,String>` | `getSpeciesDao()`
    `SpeciesInfo` | `getSpeciesInfo(String scientificName)`
    `long` | `getSpeciesPicCount()`
    `InputStream` | `getSpeciesPicture(String scientificName)`
    `Statistics` | `getStatistics()`
    `boolean` | `insertOrUpdateMapInfoByCoverage(MapItem item)`
    `void` | `setLastCompletedUpdate(Long lastCompletedUpdate)`
    `void` | `setLastConfiguration(Map<String,String> lastConfiguration)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### IMAGE_JPEG

          public static final String IMAGE_JPEG

      See Also:
        Constant Field Values

    - #### SCOPE_PROP

          public static final String SCOPE_PROP

      See Also:
        Constant Field Values

    - #### SUITABLE_PROP

          public static final String SUITABLE_PROP

      See Also:
        Constant Field Values

    - #### SUITABLE_2050_PROP

          public static final String SUITABLE_2050_PROP

      See Also:
        Constant Field Values

    - #### NATIVE_PROP

          public static final String NATIVE_PROP

      See Also:
        Constant Field Values

    - #### NATIVE_2050_PROP

          public static final String NATIVE_2050_PROP

      See Also:
        Constant Field Values

    - #### HELP_FILE

          public static final String HELP_FILE

      See Also:
        Constant Field Values

    - #### IMAGE_NOT_FOUND_FILE

          public static final String IMAGE_NOT_FOUND_FILE

      See Also:
        Constant Field Values

    - #### FETCH_ROUTINE_INTERVAL_MINUTES

          public static final String FETCH_ROUTINE_INTERVAL_MINUTES

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### get

          public static Common get()

    - #### getAMInterface

          public org.gcube.application.aquamaps.aquamapsservice.client.proxies.Maps getAMInterface()
                                                                                            throws Exception

      Throws:
        `Exception`

    - #### getMap

          public MapItem getMap(Integer hspecId,
                       String scientificName)
                         throws SQLException,
                                ImageNotFoundException

      Throws:
        `SQLException`
        `ImageNotFoundException`

    - #### getMapsBySpecies

          public List<MapItem> getMapsBySpecies(String scientificName)
                                         throws SQLException

      Throws:
        `SQLException`

    - #### getSpeciesInfo

          public SpeciesInfo getSpeciesInfo(String scientificName)
                                     throws SQLException

      Throws:
        `SQLException`

    - #### getProduct

          public InputStream getProduct(ProductType prod,
                               Integer hspecId,
                               String scientificName)
                                 throws SQLException,
                                        ImageNotFoundException,
                                        MalformedURLException,
                                        IOException

      Throws:
        `SQLException`
        `ImageNotFoundException`
        `MalformedURLException`
        `IOException`

    - #### getSpeciesPicture

          public InputStream getSpeciesPicture(String scientificName)
                                        throws SQLException,
                                               ImageNotFoundException,
                                               MalformedURLException,
                                               IOException

      Throws:
        `SQLException`
        `ImageNotFoundException`
        `MalformedURLException`
        `IOException`

    - #### getStatistics

          public Statistics getStatistics()

    - #### getCountByHspecId

          public long getCountByHspecId(Integer hspecId)
                                 throws SQLException

      Throws:
        `SQLException`

    - #### getSpeciesCount

          public long getSpeciesCount()
                               throws SQLException

      Throws:
        `SQLException`

    - #### getSpeciesPicCount

          public long getSpeciesPicCount()
                                  throws SQLException

      Throws:
        `SQLException`

    - #### getImageNotFound

          public InputStream getImageNotFound()

    - #### getHelpStream

          public InputStream getHelpStream()

    - #### getMapDao

          public com.j256.ormlite.dao.Dao<MapItem,Integer> getMapDao()

    - #### getSpeciesDao

          public com.j256.ormlite.dao.Dao<SpeciesInfo,String> getSpeciesDao()

    - #### getProperty

          public String getProperty(String property)

    - #### getLastCompletedUpdate

          public Long getLastCompletedUpdate()

    - #### setLastCompletedUpdate

          public void setLastCompletedUpdate(Long lastCompletedUpdate)

    - #### setLastConfiguration

          public void setLastConfiguration(Map<String,String> lastConfiguration)

    - #### getLastConfiguration

          public Map<String,String> getLastConfiguration()

    - #### insertOrUpdateMapInfoByCoverage

          public boolean insertOrUpdateMapInfoByCoverage(MapItem item)
                                                  throws SQLException

      Parameters:
        `item` -
      Returns:
        false if update
      Throws:
        `SQLException`

Copyright © 2014. All Rights Reserved.